---
- name: "Update cache"
  apt:
    update_cache: yes

- name: "Install dependencies"
  apt:
    name: "{{item}}"
    state: present
  loop:
    - ca-certificates
    - curl
    - gnupg

- name: "Add GPG key"
  apt_key:
    url: https://download.docker.com/linux/ubuntu/gpg
    state: present

- name: "Add docker repository to apt"
  apt_repository:
    repo: deb https://download.docker.com/linux/ubuntu jammy stable

- name: "Install docker"
  apt:
    name: "{{item}}"
    state: latest
    update_cache: yes
  loop:
   - docker-ce
   - docker-ce-cli
   - containerd.io
    
- name: "Check docker installed"
  service:
    name: docker
    state: started
    enabled: yes

- name: "Ensure group docker exists"
  ansible.builtin.group:
    name: docker
    state: present

- name: "Adding ubuntu to docker group"
  user:
    name: ubuntu
    groups: docker
    append: yes